MCOOKIE(1)

BEZEICHNUNG
mcookie - magische Cookies für xauth erzeugen

ÜBERSICHT
mcookie [Optionen]

BESCHREIBUNG
mcookie erzeugt eine hexadezimale 128-Bit-Zufallszahl für das X-Hilfsprogramm für die Authentifizierung.

    xauth add :0 . `mcookie`

Die erzeugte »Zufallszahl« ist tatsächlich die Ausgabe des MD5-Digests mit Zufallsinformationen aus einer der Quellen /dev/urandom, /dev/random oder Pseudo-Zufallsfunktionen der Glibc, in dieser Reihenfolge der Präferenz.

OPTIONEN

-f, --file Datei
    verwendet diese Datei als zusätzliche Zufallsquelle. Wenn die Datei als »-« angegeben ist, wird aus der Standardeingabe gelesen.

-m, --max-size Zahl
    liest die Zahl Bytes aus der DATEI. Diese Option ist dafür gedacht, zusätzliche Zufallsdaten aus einer Datei oder einem Gerät zu lesen.

    Das Argument für Zahl kann durch die Binärsuffixe KiB=1024, MiB1024*1024 und so weiter für GiB, TiB, PiB und EiB ergänzt werden, wobei das »iB« nicht erforderlich ist. Zum Beispiel ist »K« gleichbedeutend mit »KiB«. Möglich sind außerdem die Dezimalsuffixe KB=1000, MB=1000*1000, GB, PB und EB.

-v, --verbose
    informiert darüber, wo die Zufallsdaten herstammen, und über die aus jeder der Quellen gelesenen Entropie.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

FEHLER
Es wird vorausgesetzt, dass keine der geöffneten Zufallsdatenquellen blockiert.

DATEIEN
/dev/urandom
/dev/random

SIEHE AUCH
md5sum(1), X(1), xauth(1), rand(3)

VERFÜGBARKEIT
Der Befehl mcookie ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.